This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 432184 - Firefox "organise status bar" extensions conflicts with IcedTeaPlugin
Firefox "organise status bar" extensions conflicts with IcedTeaPlugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-02-09 09:09 EST by Nicolas Mailhot
Modified: 2009-12-18 01:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:04:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
~/.gconf/desktop/gnome/accessibility/keyboard/%gconf.xml on failing system (2.04 KB, text/plain)
2008-11-11 10:27 EST, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2008-02-09 09:09:50 EST
Visibone has an online font test that is used to collect data about font
families installed on user systems. This data is then widely used by web
designers to select the fonts they can safely use in their designs.

Unfortunately this test uses an applet which is not working in icedtea, so
Fedora user results are not taken into account and web designers continue to
select Fedora-unfriendly fonts.

Please make this font test work so we can send our user even up the stats a little

http://www.visibone.com/font/FontTest2.html

java-1.7.0-icedtea-plugin-1.7.0.0-0.24.b24.fc9.x86_64
Comment 1 Lillian Angel 2008-02-11 10:15:04 EST
JavaScript support has not been added yet. It is being worked on at the moment.
The applet page says "For this test your browser must support both JavaScript
and Java"

*** This bug has been marked as a duplicate of 304021 ***
Comment 2 Lillian Angel 2008-10-22 17:28:58 EDT
will be in rawhide in the next couple of days.

java-1.6.0-openjdk-1.6.0.0-1.0.b12.fc10
Comment 3 Nicolas Mailhot 2008-10-25 08:52:02 EDT
Unfortunately it seems everything's not yummy yet

firefox-3.0.2-1.fc10.x86_64
java-1.6.0-openjdk-plugin-1:1.6.0.0-1.1.b12.fc10.x86_64

$ firefox http://www.visibone.com/font/FontTest2.html
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
Oct 25, 2008 2:49:17 PM com.sun.corba.se.impl.ior.IORImpl getProfile
WARNING: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)
JNLPRuntime already initialized
/usr/lib64/firefox-3.0.2/run-mozilla.sh: line 131: 29490 Segmentation fault      "$prog" ${1+"$@"}
Comment 4 Nicolas Mailhot 2008-10-25 08:56:53 EDT
Another font survey applet which is probably using very similar code is

http://www.codestyle.org/css/font-family/AppletTest.shtml
Comment 5 Nicolas Mailhot 2008-10-25 08:58:39 EDT
$ firefox http://www.codestyle.org/css/font-family/AppletTest.shtml
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
Oct 25, 2008 2:57:10 PM com.sun.corba.se.impl.ior.IORImpl getProfile
WARNING: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)
Jar string: FontSurveyApplet.jar
jars length: 1/usr/lib64/firefox-3.0.2/run-mozilla.sh: line 131: 29827 Segmentation fault      "$prog" ${1+"$@"}

$ JNLPRuntime already initialized
Comment 6 Mark Wielaard 2008-10-27 09:58:14 EDT
Both these applets worked for me with java-1.6.0-openjdk-plugin-1.6.0.0-1.1.b12.fc10.i386

The stack trace suggests there is something wrong with the gnome accessibility java bridge.
Comment 7 Nicolas Mailhot 2008-10-27 16:47:43 EDT
Well they crash reliably there. Maybe that's an x86_64 vs i386 problem?
Comment 8 Deepak Bhole 2008-10-27 16:58:02 EDT
No, it works due to the new Java plugin now being in Fedora. It supports Liveconnect, which is what the Visibone site uses. It should work on 32 and 64-bit systems now.

I will close this as soon as I have verified with the new JDK build (currently running).
Comment 9 Mark Wielaard 2008-10-27 17:21:52 EDT
(In reply to comment #7)
> Well they crash reliably there. Maybe that's an x86_64 vs i386 problem?

No, I also ran it on an x86_64 system. I suspect there is something different with the setup of the accessibility tools on the systems.

It could be that you are still using the old plugin, but it doesn't seem so.

Note how it fails while initializing org.GNOME.Accessibility.JavaBridge which tries to use corba to connect to your local orbit to work. Somehow this seems to go wrong. I don't know why though.
Comment 10 Deepak Bhole 2008-10-27 17:49:34 EDT
Ah, weird. I could've sworn I saw it work on 64-bit. I don't have access to a 64-bit box right now, but I will try it there again when I get to the office tomorrow and report accordingly.
Comment 11 Mark Wielaard 2008-10-28 04:23:48 EDT
(In reply to comment #10)
> Ah, weird. I could've sworn I saw it work on 64-bit. I don't have access to a
> 64-bit box right now, but I will try it there again when I get to the office
> tomorrow and report accordingly.

I did run it on a x86_64 box (although against the upstream plugin on f9) and it works. I suspect it isn't something plugin specific but something to do with the gnome java accessibility bridge. Some setup on the reporters machine must trip it up.

But if someone could replicate on a f10/rawhide x86_64 setup that would help.
Comment 12 Nicolas Mailhot 2008-11-11 09:21:48 EST
Well, it still fails

java-1.6.0-openjdk-plugin-1:1.6.0.0-3.b12.fc11.x86_64

I'd love to report more info but you have to tell me what would be useful to resolve the problem
Comment 13 Mark Wielaard 2008-11-11 09:31:00 EST
(In reply to comment #12)
> I'd love to report more info but you have to tell me what would be useful to
> resolve the problem

It would be good if you could find someone else for which this also still fails, so we could compare the environments.

The stack trace you get seem to indicate that there is something wrong with the accessibility support initialization. Is there anything special in your environment with regard to gnome accessibility being turned on/off, etc.?
Comment 14 Nicolas Mailhot 2008-11-11 10:27:41 EST
Created attachment 323178 [details]
~/.gconf/desktop/gnome/accessibility/keyboard/%gconf.xml on failing system
Comment 15 Nicolas Mailhot 2008-11-11 10:28:58 EST
(In reply to comment #13)

> The stack trace you get seem to indicate that there is something wrong with the
> accessibility support initialization. Is there anything special in your
> environment with regard to gnome accessibility being turned on/off, etc.?

I've attached the gconf accessibility information on the failing system

I don't know if it's "special", I never go there
Comment 16 Mark Wielaard 2008-11-11 12:26:45 EST
(In reply to comment #15)
> (In reply to comment #13)
> 
> > The stack trace you get seem to indicate that there is something wrong with the
> > accessibility support initialization. Is there anything special in your
> > environment with regard to gnome accessibility being turned on/off, etc.?
> 
> I've attached the gconf accessibility information on the failing system
> 
> I don't know if it's "special", I never go there

No, it doesn't seem special to me. It seems you have it not enabled.

Now I see from comment #5 that firefox actually segfaults for you, not just produce that java stack. Still the java stack trace is strange. But lets see if the crash gives us any more clues why it doesn't work for you.

Could quit all instances of firefox. Then have a terminal where you run it as "firefox -g", that will drop you in gdb, just type "run" to get firefox running as normal. Go to the same URL and  then when it crashes again you should be dropped in gdb again in your terminal. Can you type "bt" and post the output?
Comment 17 Nicolas Mailhot 2008-11-11 16:34:06 EST
$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.EDCMlv
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox '-UILocale' 'fr'
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7fe5700 (LWP 31966)]
[New Thread 0x7ffff11dd950 (LWP 31969)]
[New Thread 0x7ffff05aa950 (LWP 31970)]
[New Thread 0x7fffef809950 (LWP 31973)]
[New Thread 0x7fffeeb43950 (LWP 31974)]
[New Thread 0x7fffee142950 (LWP 31975)]
[New Thread 0x7fffe5323950 (LWP 31976)]
[New Thread 0x7fffe4922950 (LWP 31977)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe3f21950 (LWP 31978)]
[New Thread 0x7fffe3520950 (LWP 31979)]
Detaching after fork from child process 31980.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
11 nov. 2008 22:32:05 com.sun.corba.se.impl.ior.IORImpl getProfile
ATTENTION: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe3f21950 (LWP 31978)]
XPCJSContextStack::Pop (this=0x504f510, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
JNLPRuntime already initialized
Missing separate debuginfos, use: debuginfo-install e2fsprogs-libs-1.41.3-2.fc11.x86_64 gnome-keyring-2.25.1-1.fc11.x86_64 java-1.6.0-openjdk-plugin-1.6.0.0-3.b12.fc11.x86_64 libXcomposite-0.4.0-6.fc11.x86_64 libXrandr-1.2.3-3.fc11.x86_64 libgnomecanvas-2.20.1.1-4.fc11.x86_64 libselinux-2.0.75-1.fc11.x86_64 libtdb-1.1.1-22.fc10.x86_64 sqlite-3.6.4-1.fc11.x86_64
(gdb) bt
#0  XPCJSContextStack::Pop (this=0x504f510, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x00000034e6c3720f in ~XPCCallContext (this=0x7fffe3f20750) at xpccallcontext.cpp:333
#2  0x00000034e6c5004a in nsXPCWrappedJSClass::CallMethod (this=0x2acb110, wrapper=<value optimized out>, methodIndex=3, info=0xb6c138, nativeParams=0x7fffe3f208c0)
    at xpcwrappedjsclass.cpp:1775
#3  0x00000034e7446d31 in PrepareAndDispatch (self=0x2acb6c0, methodIndex=<value optimized out>, args=0x7fffe3f209c0, gpregs=0x7fffe3f209c0, fpregs=0x7fffe3f209f0)
    at xptcstubs_x86_64_linux.cpp:151
#4  0x00000034e74461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x00000034e7214b4f in nsContentTreeOwner::SetStatusWithContext (this=0x2013230, aStatusType=<value optimized out>, aStatusText=@0x7fffe3f20a90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x00000034e7215fdf in nsContentTreeOwner::SetStatus (this=0x2013230, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x00000034e6df4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe3f20b80) at nsObjectFrame.cpp:2374
#8  0x00000034e6df5028 in nsPluginInstanceOwner::ShowStatus (this=0x50432f0, aStatusMsg=0x50f6e48 "démarrage de l'applet") at nsObjectFrame.cpp:2341
#9  0x00007fffe5b4483b in IcedTeaPluginFactory::HandleMessage () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#10 0x00007fffe5b471fe in IcedTeaPluginFactory::ConsumeMsgFromJVM () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#11 0x00007fffe5b47373 in IcedTeaPluginFactory::ProcessMessage () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#12 0x00007fffe5b5410a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#13 0x00000034e743acb6 in nsThread::ProcessNextEvent (this=0x504e230, mayWait=1, result=0x7fffe3f2108c) at nsThread.cpp:510
#14 0x00000034e740cada in NS_ProcessNextEvent_P (thread=0x504f518, mayWait=1) at nsThreadUtils.cpp:227
#15 0x00000034e743b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x000000388e6073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x000000388dae64fd in clone () from /lib64/libc.so.6
Comment 18 Nicolas Mailhot 2008-11-11 16:35:22 EST
BTW it worked once. Could not reproduce it 5s later.
Comment 19 Nicolas Mailhot 2008-11-11 16:39:51 EST
And with codestyle:

$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.w0KcqD
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox '-UILocale' 'fr'
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7fe5700 (LWP 32116)]
[New Thread 0x7ffff11dd950 (LWP 32119)]
[New Thread 0x7ffff05aa950 (LWP 32120)]
[New Thread 0x7fffef809950 (LWP 32127)]
[New Thread 0x7fffeeb43950 (LWP 32128)]
[New Thread 0x7fffee142950 (LWP 32129)]
[New Thread 0x7fffe7fff950 (LWP 32130)]
[Thread 0x7fffef809950 (LWP 32127) exited]
[New Thread 0x7fffef809950 (LWP 32131)]
[New Thread 0x7fffe4922950 (LWP 32133)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe3f21950 (LWP 32153)]
[New Thread 0x7fffe3520950 (LWP 32154)]
Detaching after fork from child process 32155.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
11 nov. 2008 22:36:55 com.sun.corba.se.impl.ior.IORImpl getProfile
ATTENTION: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)
Jar string: FontSurveyApplet.jar
jars length: 1
JNLPRuntime already initialized
Applet version: 1.1.0

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe3f21950 (LWP 32153)]
XPCJSContextStack::Pop (this=0x559c9a0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
Missing separate debuginfos, use: debuginfo-install e2fsprogs-libs-1.41.3-2.fc11.x86_64 gnome-keyring-2.25.1-1.fc11.x86_64 java-1.6.0-openjdk-plugin-1.6.0.0-3.b12.fc11.x86_64 libXcomposite-0.4.0-6.fc11.x86_64 libXrandr-1.2.3-3.fc11.x86_64 libgnomecanvas-2.20.1.1-4.fc11.x86_64 libselinux-2.0.75-1.fc11.x86_64 libtdb-1.1.1-22.fc10.x86_64 sqlite-3.6.4-1.fc11.x86_64
(gdb) Host: www.codestyle.org
Port not set.

(gdb) bt
#0  XPCJSContextStack::Pop (this=0x559c9a0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x00000034e6c3720f in ~XPCCallContext (this=0x7fffe3f20750) at xpccallcontext.cpp:333
#2  0x00000034e6c5004a in nsXPCWrappedJSClass::CallMethod (this=0x7fffe8226c30, wrapper=<value optimized out>, methodIndex=3, info=0xb6c138, 
    nativeParams=0x7fffe3f208c0) at xpcwrappedjsclass.cpp:1775
#3  0x00000034e7446d31 in PrepareAndDispatch (self=0x7fffe821c630, methodIndex=<value optimized out>, args=0x7fffe3f209c0, gpregs=0x7fffe3f209c0, 
    fpregs=0x7fffe3f209f0) at xptcstubs_x86_64_linux.cpp:151
#4  0x00000034e74461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x00000034e7214b4f in nsContentTreeOwner::SetStatusWithContext (this=0xd38540, aStatusType=<value optimized out>, aStatusText=@0x7fffe3f20a90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x00000034e7215fdf in nsContentTreeOwner::SetStatus (this=0xd38540, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x00000034e6df4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe3f20b80) at nsObjectFrame.cpp:2374
#8  0x00000034e6df5028 in nsPluginInstanceOwner::ShowStatus (this=0x558a770, aStatusMsg=0x571e0f8 "Applet initialisé.") at nsObjectFrame.cpp:2341
#9  0x00007fffe501f83b in IcedTeaPluginFactory::HandleMessage () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#10 0x00007fffe50221fe in IcedTeaPluginFactory::ConsumeMsgFromJVM () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#11 0x00007fffe5022373 in IcedTeaPluginFactory::ProcessMessage () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#12 0x00007fffe502f10a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run () from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
#13 0x00000034e743acb6 in nsThread::ProcessNextEvent (this=0x559b6c0, mayWait=1, result=0x7fffe3f2108c) at nsThread.cpp:510
#14 0x00000034e740cada in NS_ProcessNextEvent_P (thread=0x559c9a8, mayWait=1) at nsThreadUtils.cpp:227
#15 0x00000034e743b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x000000388e6073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x000000388dae64fd in clone () from /lib64/libc.so.6
Comment 20 Nicolas Mailhot 2008-11-11 17:06:06 EST
And with even more debuginfo packages installed, visibone:

$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.veZK02
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox '-UILocale' 'fr'
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7fe5700 (LWP 326)]
[New Thread 0x7ffff11dd950 (LWP 329)]
[New Thread 0x7ffff05aa950 (LWP 330)]
[New Thread 0x7fffef809950 (LWP 333)]
[New Thread 0x7fffeeb43950 (LWP 334)]
[New Thread 0x7fffee142950 (LWP 335)]
[New Thread 0x7fffe5323950 (LWP 336)]
[New Thread 0x7fffe4922950 (LWP 337)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe3f21950 (LWP 338)]
[New Thread 0x7fffe3520950 (LWP 339)]
Detaching after fork from child process 340.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
11 nov. 2008 23:02:17 com.sun.corba.se.impl.ior.IORImpl getProfile
ATTENTION: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe3f21950 (LWP 338)]
JNLPRuntime already initialized
XPCJSContextStack::Pop (this=0x4423c00, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
(gdb) bt
#0  XPCJSContextStack::Pop (this=0x4423c00, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x00000034e6c3720f in ~XPCCallContext (this=0x7fffe3f20750) at xpccallcontext.cpp:333
#2  0x00000034e6c5004a in nsXPCWrappedJSClass::CallMethod (this=0x299ff10, wrapper=<value optimized out>, methodIndex=3, info=0xb6c138, nativeParams=0x7fffe3f208c0)
    at xpcwrappedjsclass.cpp:1775
#3  0x00000034e7446d31 in PrepareAndDispatch (self=0x29a04a0, methodIndex=<value optimized out>, args=0x7fffe3f209c0, gpregs=0x7fffe3f209c0, fpregs=0x7fffe3f209f0)
    at xptcstubs_x86_64_linux.cpp:151
#4  0x00000034e74461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x00000034e7214b4f in nsContentTreeOwner::SetStatusWithContext (this=0x208a480, aStatusType=<value optimized out>, aStatusText=@0x7fffe3f20a90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x00000034e7215fdf in nsContentTreeOwner::SetStatus (this=0x208a480, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x00000034e6df4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe3f20b80) at nsObjectFrame.cpp:2374
#8  0x00000034e6df5028 in nsPluginInstanceOwner::ShowStatus (this=0x4417aa0, aStatusMsg=0x44b3708 "démarrage de l'applet") at nsObjectFrame.cpp:2341
#9  0x00007fffe5b4483b in IcedTeaPluginFactory::HandleMessage (this=0x4421f30, message=<value optimized out>) at IcedTeaPlugin.cc:2834
#10 0x00007fffe5b471fe in IcedTeaPluginFactory::ConsumeMsgFromJVM (this=0x4421f30) at IcedTeaPlugin.cc:3289
#11 0x00007fffe5b47373 in IcedTeaPluginFactory::ProcessMessage (this=0x4421f30) at IcedTeaPlugin.cc:3247
#12 0x00007fffe5b5410a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (this=0x17ffffffd0) at IcedTeaPlugin.cc:1398
#13 0x00000034e743acb6 in nsThread::ProcessNextEvent (this=0x4422920, mayWait=1, result=0x7fffe3f2108c) at nsThread.cpp:510
#14 0x00000034e740cada in NS_ProcessNextEvent_P (thread=0x4423c08, mayWait=1) at nsThreadUtils.cpp:227
#15 0x00000034e743b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x000000388e6073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x000000388dae64fd in clone () from /lib64/libc.so.6
Comment 21 Nicolas Mailhot 2008-11-11 17:06:40 EST
and codestyle:

$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.qcUzX8
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox '-UILocale' 'fr'
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7fe5700 (LWP 420)]
[New Thread 0x7ffff11dd950 (LWP 423)]
[New Thread 0x7ffff05aa950 (LWP 424)]
[New Thread 0x7fffef809950 (LWP 427)]
[New Thread 0x7fffeed46950 (LWP 428)]
[New Thread 0x7fffee345950 (LWP 429)]
[New Thread 0x7fffe55c5950 (LWP 430)]
[New Thread 0x7fffe4bc4950 (LWP 431)]


ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe3f90950 (LWP 432)]
[New Thread 0x7fffe358f950 (LWP 433)]
Detaching after fork from child process 434.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
11 nov. 2008 23:03:55 com.sun.corba.se.impl.ior.IORImpl getProfile
ATTENTION: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)
Jar string: FontSurveyApplet.jar
jars length: 1
JNLPRuntime already initialized
Applet version: 1.1.0

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe3f90950 (LWP 432)]
XPCJSContextStack::Pop (this=0x46d1000, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
(gdb) 
(gdb) 
(gdb) Host: www.codestyle.org
Port not set.

(gdb) bt
#0  XPCJSContextStack::Pop (this=0x46d1000, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x00000034e6c3720f in ~XPCCallContext (this=0x7fffe3f8f750) at xpccallcontext.cpp:333
#2  0x00000034e6c5004a in nsXPCWrappedJSClass::CallMethod (this=0x2a85b20, wrapper=<value optimized out>, methodIndex=3, info=0xb6c138, nativeParams=0x7fffe3f8f8c0)
    at xpcwrappedjsclass.cpp:1775
#3  0x00000034e7446d31 in PrepareAndDispatch (self=0x2a89540, methodIndex=<value optimized out>, args=0x7fffe3f8f9c0, gpregs=0x7fffe3f8f9c0, fpregs=0x7fffe3f8f9f0)
    at xptcstubs_x86_64_linux.cpp:151
#4  0x00000034e74461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x00000034e7214b4f in nsContentTreeOwner::SetStatusWithContext (this=0x23d0b70, aStatusType=<value optimized out>, aStatusText=@0x7fffe3f8fa90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x00000034e7215fdf in nsContentTreeOwner::SetStatus (this=0x23d0b70, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x00000034e6df4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe3f8fb80) at nsObjectFrame.cpp:2374
#8  0x00000034e6df5028 in nsPluginInstanceOwner::ShowStatus (this=0x2a79eb0, aStatusMsg=0x4729628 "Applet initialisé.") at nsObjectFrame.cpp:2341
#9  0x00007fffe3fa483b in IcedTeaPluginFactory::HandleMessage (this=0x46cf330, message=<value optimized out>) at IcedTeaPlugin.cc:2834
#10 0x00007fffe3fa71fe in IcedTeaPluginFactory::ConsumeMsgFromJVM (this=0x46cf330) at IcedTeaPlugin.cc:3289
#11 0x00007fffe3fa7373 in IcedTeaPluginFactory::ProcessMessage (this=0x46cf330) at IcedTeaPlugin.cc:3247
#12 0x00007fffe3fb410a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (this=0x17ffffffd0) at IcedTeaPlugin.cc:1398
#13 0x00000034e743acb6 in nsThread::ProcessNextEvent (this=0x46cfd20, mayWait=1, result=0x7fffe3f9008c) at nsThread.cpp:510
#14 0x00000034e740cada in NS_ProcessNextEvent_P (thread=0x46d1008, mayWait=1) at nsThreadUtils.cpp:227
#15 0x00000034e743b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x000000388e6073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x000000388dae64fd in clone () from /lib64/libc.so.6
Comment 22 Mark Wielaard 2008-11-11 17:15:04 EST
OK, this might be a clue:

#8  0x00000034e6df5028 in nsPluginInstanceOwner::ShowStatus (this=0x2a79eb0,
aStatusMsg=0x4729628 "Applet initialisé.") at nsObjectFrame.cpp:2341
#9  0x00007fffe3fa483b in IcedTeaPluginFactory::HandleMessage (this=0x46cf330,
message=<value optimized out>) at IcedTeaPlugin.cc:2834

Maybe something isn't handling that é correctly. I assume you are running with LANG=fr_FR, could you retry with LANG=C?

On the other hand this might not be it since I am still seeing things work even when setting LANG=fr_FR. hmmm
Comment 23 Nicolas Mailhot 2008-11-11 17:57:38 EST
Does not change a thing

Visibone:
$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.N15gzE
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7fe5700 (LWP 1177)]
[New Thread 0x7ffff5ed6950 (LWP 1180)]
[New Thread 0x7ffff52a3950 (LWP 1181)]
[New Thread 0x7fffeffff950 (LWP 1184)]
[New Thread 0x7fffef5fe950 (LWP 1185)]
[New Thread 0x7fffeebfd950 (LWP 1186)]
[New Thread 0x7fffed8d2950 (LWP 1187)]
[Thread 0x7fffed8d2950 (LWP 1187) exited]
[New Thread 0x7fffed8d2950 (LWP 1188)]
[New Thread 0x7fffe99c7950 (LWP 1189)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe8fc6950 (LWP 1199)]
[New Thread 0x7fffe85c5950 (LWP 1200)]
Detaching after fork from child process 1201.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
Nov 11, 2008 11:54:28 PM com.sun.corba.se.impl.ior.IORImpl getProfile
WARNING: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)
JNLPRuntime already initialized

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe8fc6950 (LWP 1199)]
XPCJSContextStack::Pop (this=0x3b62ea0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
(gdb) bt
#0  XPCJSContextStack::Pop (this=0x3b62ea0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x00000034e6c3720f in ~XPCCallContext (this=0x7fffe8fc5750) at xpccallcontext.cpp:333
#2  0x00000034e6c5004a in nsXPCWrappedJSClass::CallMethod (this=0x7ffff021bf60, wrapper=<value optimized out>, methodIndex=3, info=0xb392b8, 
    nativeParams=0x7fffe8fc58c0) at xpcwrappedjsclass.cpp:1775
#3  0x00000034e7446d31 in PrepareAndDispatch (self=0x7ffff041d510, methodIndex=<value optimized out>, args=0x7fffe8fc59c0, gpregs=0x7fffe8fc59c0, 
    fpregs=0x7fffe8fc59f0) at xptcstubs_x86_64_linux.cpp:151
#4  0x00000034e74461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x00000034e7214b4f in nsContentTreeOwner::SetStatusWithContext (this=0xe69690, aStatusType=<value optimized out>, aStatusText=@0x7fffe8fc5a90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x00000034e7215fdf in nsContentTreeOwner::SetStatus (this=0xe69690, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x00000034e6df4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe8fc5b80) at nsObjectFrame.cpp:2374
#8  0x00000034e6df5028 in nsPluginInstanceOwner::ShowStatus (this=0x7ffff14c8960, aStatusMsg=0x3b6ebd8 "starting applet...") at nsObjectFrame.cpp:2341
#9  0x00007fffea0d683b in IcedTeaPluginFactory::HandleMessage (this=0x7ffff14cd370, message=<value optimized out>) at IcedTeaPlugin.cc:2834
#10 0x00007fffea0d91fe in IcedTeaPluginFactory::ConsumeMsgFromJVM (this=0x7ffff14cd370) at IcedTeaPlugin.cc:3289
#11 0x00007fffea0d9373 in IcedTeaPluginFactory::ProcessMessage (this=0x7ffff14cd370) at IcedTeaPlugin.cc:3247
#12 0x00007fffea0e610a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (this=0x17ffffffd0) at IcedTeaPlugin.cc:1398
#13 0x00000034e743acb6 in nsThread::ProcessNextEvent (this=0x7ffff14cdd60, mayWait=1, result=0x7fffe8fc608c) at nsThread.cpp:510
#14 0x00000034e740cada in NS_ProcessNextEvent_P (thread=0x3b62ea8, mayWait=1) at nsThreadUtils.cpp:227
#15 0x00000034e743b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x000000388e6073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x000000388dae64fd in clone () from /lib64/libc.so.6
Comment 24 Nicolas Mailhot 2008-11-11 17:58:01 EST
Codestyle:

$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.HWvZE7
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7fe5700 (LWP 1265)]
[New Thread 0x7ffff5ed6950 (LWP 1268)]
[New Thread 0x7ffff52a3950 (LWP 1269)]
[New Thread 0x7ffff4711950 (LWP 1272)]
[New Thread 0x7ffff3c4e950 (LWP 1273)]
[New Thread 0x7ffff324d950 (LWP 1274)]
[New Thread 0x7fffeaf0c950 (LWP 1275)]
[Thread 0x7ffff4711950 (LWP 1272) exited]
[New Thread 0x7ffff4711950 (LWP 1276)]
[New Thread 0x7fffe9aea950 (LWP 1277)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe8da4950 (LWP 1278)]
[New Thread 0x7fffe83a3950 (LWP 1279)]
Detaching after fork from child process 1280.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
Nov 11, 2008 11:56:08 PM com.sun.corba.se.impl.ior.IORImpl getProfile
WARNING: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)
Jar string: FontSurveyApplet.jar
jars length: 1
JNLPRuntime already initialized
Applet version: 1.1.0

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe8da4950 (LWP 1278)]
XPCJSContextStack::Pop (this=0x5127eb0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
(gdb) Host: www.codestyle.org
Port not set.

(gdb) bt
#0  XPCJSContextStack::Pop (this=0x5127eb0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x00000034e6c3720f in ~XPCCallContext (this=0x7fffe8da3750) at xpccallcontext.cpp:333
#2  0x00000034e6c5004a in nsXPCWrappedJSClass::CallMethod (this=0x2aefc00, wrapper=<value optimized out>, methodIndex=3, info=0xb395d8, nativeParams=0x7fffe8da38c0)
    at xpcwrappedjsclass.cpp:1775
#3  0x00000034e7446d31 in PrepareAndDispatch (self=0x2af01d0, methodIndex=<value optimized out>, args=0x7fffe8da39c0, gpregs=0x7fffe8da39c0, fpregs=0x7fffe8da39f0)
    at xptcstubs_x86_64_linux.cpp:151
#4  0x00000034e74461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x00000034e7214b4f in nsContentTreeOwner::SetStatusWithContext (this=0x22d7cd0, aStatusType=<value optimized out>, aStatusText=@0x7fffe8da3a90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x00000034e7215fdf in nsContentTreeOwner::SetStatus (this=0x22d7cd0, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x00000034e6df4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe8da3b80) at nsObjectFrame.cpp:2374
#8  0x00000034e6df5028 in nsPluginInstanceOwner::ShowStatus (this=0x5119180, aStatusMsg=0x52428b8 "Applet initialized.") at nsObjectFrame.cpp:2341
#9  0x00007fffe8db883b in IcedTeaPluginFactory::HandleMessage (this=0x51261e0, message=<value optimized out>) at IcedTeaPlugin.cc:2834
#10 0x00007fffe8dbb1fe in IcedTeaPluginFactory::ConsumeMsgFromJVM (this=0x51261e0) at IcedTeaPlugin.cc:3289
#11 0x00007fffe8dbb373 in IcedTeaPluginFactory::ProcessMessage (this=0x51261e0) at IcedTeaPlugin.cc:3247
#12 0x00007fffe8dc810a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (this=0x17ffffffd0) at IcedTeaPlugin.cc:1398
#13 0x00000034e743acb6 in nsThread::ProcessNextEvent (this=0x5126bd0, mayWait=1, result=0x7fffe8da408c) at nsThread.cpp:510
#14 0x00000034e740cada in NS_ProcessNextEvent_P (thread=0x5127eb8, mayWait=1) at nsThreadUtils.cpp:227
#15 0x00000034e743b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x000000388e6073da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x000000388dae64fd in clone () from /lib64/libc.so.6
Comment 25 Nicolas Mailhot 2008-11-13 14:49:44 EST
with java-1.6.0-openjdk-plugin-1.6.0.0-4.b12.fc11.x86_64

$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.9lJtQ1
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox '-UILocale' 'fr'
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff75ce700 (LWP 16870)]
[New Thread 0x7fffef9ee950 (LWP 16873)]
[New Thread 0x7fffeedbb950 (LWP 16874)]
[New Thread 0x7fffee01a950 (LWP 16877)]
[New Thread 0x7fffed557950 (LWP 16878)]
[New Thread 0x7fffecb56950 (LWP 16879)]
[New Thread 0x7fffe3fa5950 (LWP 16880)]
[New Thread 0x7fffe35a4950 (LWP 16881)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe2970950 (LWP 16882)]
[New Thread 0x7fffe1f6f950 (LWP 16884)]
Detaching after fork from child process 16885.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
13 nov. 2008 20:40:38 com.sun.corba.se.impl.ior.IORImpl getProfile
ATTENTION: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe2970950 (LWP 16882)]
JNLPRuntime already initialized
XPCJSContextStack::Pop (this=0x452b1d0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
(gdb) bt
#0  XPCJSContextStack::Pop (this=0x452b1d0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x0000003ab543720f in ~XPCCallContext (this=0x7fffe296f750) at xpccallcontext.cpp:333
#2  0x0000003ab545004a in nsXPCWrappedJSClass::CallMethod (this=0x2c12190, wrapper=<value optimized out>, methodIndex=3, info=0xb6d5a0, nativeParams=0x7fffe296f8c0)
    at xpcwrappedjsclass.cpp:1775
#3  0x0000003ab5c46d31 in PrepareAndDispatch (self=0x2c15fd0, methodIndex=<value optimized out>, args=0x7fffe296f9c0, gpregs=0x7fffe296f9c0, fpregs=0x7fffe296f9f0)
    at xptcstubs_x86_64_linux.cpp:151
#4  0x0000003ab5c461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x0000003ab5a14b4f in nsContentTreeOwner::SetStatusWithContext (this=0x23a9640, aStatusType=<value optimized out>, aStatusText=@0x7fffe296fa90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x0000003ab5a15fdf in nsContentTreeOwner::SetStatus (this=0x23a9640, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x0000003ab55f4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe296fb80) at nsObjectFrame.cpp:2374
#8  0x0000003ab55f5028 in nsPluginInstanceOwner::ShowStatus (this=0x4520600, aStatusMsg=0x45f28e8 "démarrage de l'applet") at nsObjectFrame.cpp:2341
#9  0x00007fffe298483b in IcedTeaPluginFactory::HandleMessage (this=0x4529500, message=<value optimized out>) at IcedTeaPlugin.cc:2834
#10 0x00007fffe29871fe in IcedTeaPluginFactory::ConsumeMsgFromJVM (this=0x4529500) at IcedTeaPlugin.cc:3289
#11 0x00007fffe2987373 in IcedTeaPluginFactory::ProcessMessage (this=0x4529500) at IcedTeaPlugin.cc:3247
#12 0x00007fffe299410a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (this=0x17ffffffd0) at IcedTeaPlugin.cc:1398
#13 0x0000003ab5c3acb6 in nsThread::ProcessNextEvent (this=0x4529ef0, mayWait=1, result=0x7fffe297008c) at nsThread.cpp:510
#14 0x0000003ab5c0cada in NS_ProcessNextEvent_P (thread=0x452b1d8, mayWait=1) at nsThreadUtils.cpp:227
#15 0x0000003ab5c3b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x00007ffff7dd43da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x00007ffff76b627d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Comment 26 Nicolas Mailhot 2008-11-13 14:50:12 EST
$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.9lJtQ1
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox '-UILocale' 'fr'
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff75ce700 (LWP 16870)]
[New Thread 0x7fffef9ee950 (LWP 16873)]
[New Thread 0x7fffeedbb950 (LWP 16874)]
[New Thread 0x7fffee01a950 (LWP 16877)]
[New Thread 0x7fffed557950 (LWP 16878)]
[New Thread 0x7fffecb56950 (LWP 16879)]
[New Thread 0x7fffe3fa5950 (LWP 16880)]
[New Thread 0x7fffe35a4950 (LWP 16881)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe2970950 (LWP 16882)]
[New Thread 0x7fffe1f6f950 (LWP 16884)]
Detaching after fork from child process 16885.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
13 nov. 2008 20:40:38 com.sun.corba.se.impl.ior.IORImpl getProfile
ATTENTION: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe2970950 (LWP 16882)]
JNLPRuntime already initialized
XPCJSContextStack::Pop (this=0x452b1d0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) n
Program not restarted.
(gdb) bt
#0  XPCJSContextStack::Pop (this=0x452b1d0, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x0000003ab543720f in ~XPCCallContext (this=0x7fffe296f750) at xpccallcontext.cpp:333
#2  0x0000003ab545004a in nsXPCWrappedJSClass::CallMethod (this=0x2c12190, wrapper=<value optimized out>, methodIndex=3, info=0xb6d5a0, nativeParams=0x7fffe296f8c0)
    at xpcwrappedjsclass.cpp:1775
#3  0x0000003ab5c46d31 in PrepareAndDispatch (self=0x2c15fd0, methodIndex=<value optimized out>, args=0x7fffe296f9c0, gpregs=0x7fffe296f9c0, fpregs=0x7fffe296f9f0)
    at xptcstubs_x86_64_linux.cpp:151
#4  0x0000003ab5c461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x0000003ab5a14b4f in nsContentTreeOwner::SetStatusWithContext (this=0x23a9640, aStatusType=<value optimized out>, aStatusText=@0x7fffe296fa90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x0000003ab5a15fdf in nsContentTreeOwner::SetStatus (this=0x23a9640, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x0000003ab55f4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe296fb80) at nsObjectFrame.cpp:2374
#8  0x0000003ab55f5028 in nsPluginInstanceOwner::ShowStatus (this=0x4520600, aStatusMsg=0x45f28e8 "démarrage de l'applet") at nsObjectFrame.cpp:2341
#9  0x00007fffe298483b in IcedTeaPluginFactory::HandleMessage (this=0x4529500, message=<value optimized out>) at IcedTeaPlugin.cc:2834
#10 0x00007fffe29871fe in IcedTeaPluginFactory::ConsumeMsgFromJVM (this=0x4529500) at IcedTeaPlugin.cc:3289
#11 0x00007fffe2987373 in IcedTeaPluginFactory::ProcessMessage (this=0x4529500) at IcedTeaPlugin.cc:3247
#12 0x00007fffe299410a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (this=0x17ffffffd0) at IcedTeaPlugin.cc:1398
#13 0x0000003ab5c3acb6 in nsThread::ProcessNextEvent (this=0x4529ef0, mayWait=1, result=0x7fffe297008c) at nsThread.cpp:510
#14 0x0000003ab5c0cada in NS_ProcessNextEvent_P (thread=0x452b1d8, mayWait=1) at nsThreadUtils.cpp:227
#15 0x0000003ab5c3b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x00007ffff7dd43da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x00007ffff76b627d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[nim@arekh ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.0.2
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/plugins:/usr/lib64/firefox-3.0.2
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.0.2/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
     LIBRARY_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2/components:/usr/lib64/firefox-3.0.2
       SHLIB_PATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
          LIBPATH=/usr/lib64/firefox-3.0.2:/usr/lib64/firefox-3.0.2
       ADDON_PATH=/usr/lib64/firefox-3.0.2
      MOZ_PROGRAM=/usr/lib64/firefox-3.0.2/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nim/bin)
/usr/bin/gdb /usr/lib64/firefox-3.0.2/firefox -x /tmp/mozargs.lWwjGg
GNU gdb Fedora (6.8-29.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib64/firefox-3.0.2/firefox
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/c3/1ecac16bb539cef975213480db69f3c6e4f69c.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib64/firefox-3.0.2/firefox '-UILocale' 'fr'
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff75ce700 (LWP 16953)]
[New Thread 0x7fffef9ee950 (LWP 16956)]
[New Thread 0x7fffeedbb950 (LWP 16957)]
[New Thread 0x7fffee01a950 (LWP 16960)]
[New Thread 0x7fffed557950 (LWP 16961)]
[New Thread 0x7fffecb56950 (LWP 16962)]
[New Thread 0x7fffe49c6950 (LWP 16963)]
[Thread 0x7fffee01a950 (LWP 16960) exited]
[New Thread 0x7fffee01a950 (LWP 16964)]
[New Thread 0x7fffe35a4950 (LWP 16965)]
ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0x7fffe2970950 (LWP 16966)]
[New Thread 0x7fffe1f6f950 (LWP 16967)]
Detaching after fork from child process 16968.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
13 nov. 2008 20:42:26 com.sun.corba.se.impl.ior.IORImpl getProfile
ATTENTION: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF:   vmcid: SUN  minor code: 1201  completed: No
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
	at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
	at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
	at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
	at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
	at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
	at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
	at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
	at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
	at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
	at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
	at java.awt.Window.getToolkit(Window.java:1170)
	at java.awt.Window.init(Window.java:400)
	at java.awt.Window.<init>(Window.java:438)
	at java.awt.Frame.<init>(Frame.java:419)
	at java.awt.Frame.<init>(Frame.java:384)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
	at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
	at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:145)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:43)
	at sun.applet.PluginMain.connect(PluginMain.java:101)
	at sun.applet.PluginMain.<init>(PluginMain.java:83)
	at sun.applet.PluginMain.main(PluginMain.java:59)
Jar string: FontSurveyApplet.jar
jars length: 1
JNLPRuntime already initialized

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe2970950 (LWP 16966)]
XPCJSContextStack::Pop (this=0x48b9a00, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
111	        if(e.cx && e.frame)
Current language:  auto; currently c++
(gdb) Applet version: 1.1.0
Host: www.codestyle.org
Port not set.

(gdb) bt
#0  XPCJSContextStack::Pop (this=0x48b9a00, _retval=<value optimized out>) at xpcthreadcontext.cpp:111
#1  0x0000003ab543720f in ~XPCCallContext (this=0x7fffe296f750) at xpccallcontext.cpp:333
#2  0x0000003ab545004a in nsXPCWrappedJSClass::CallMethod (this=0x2c3e810, wrapper=<value optimized out>, methodIndex=3, info=0xb6d5a0, nativeParams=0x7fffe296f8c0)
    at xpcwrappedjsclass.cpp:1775
#3  0x0000003ab5c46d31 in PrepareAndDispatch (self=0x2c3ede0, methodIndex=<value optimized out>, args=0x7fffe296f9c0, gpregs=0x7fffe296f9c0, fpregs=0x7fffe296f9f0)
    at xptcstubs_x86_64_linux.cpp:151
#4  0x0000003ab5c461df in SharedStub () from /usr/lib64/xulrunner-1.9/libxul.so
#5  0x0000003ab5a14b4f in nsContentTreeOwner::SetStatusWithContext (this=0x2373b40, aStatusType=<value optimized out>, aStatusText=@0x7fffe296fa90, 
    aStatusContext=0x0) at nsContentTreeOwner.cpp:452
#6  0x0000003ab5a15fdf in nsContentTreeOwner::SetStatus (this=0x2373b40, aStatusType=1, aStatus=<value optimized out>) at nsContentTreeOwner.cpp:479
#7  0x0000003ab55f4f49 in nsPluginInstanceOwner::ShowStatus (this=<value optimized out>, aStatusMsg=0x7fffe296fb80) at nsObjectFrame.cpp:2374
#8  0x0000003ab55f5028 in nsPluginInstanceOwner::ShowStatus (this=0x48a3040, aStatusMsg=0x49a7be8 "démarrage de l'applet") at nsObjectFrame.cpp:2341
#9  0x00007fffe298483b in IcedTeaPluginFactory::HandleMessage (this=0x48b7d30, message=<value optimized out>) at IcedTeaPlugin.cc:2834
#10 0x00007fffe29871fe in IcedTeaPluginFactory::ConsumeMsgFromJVM (this=0x48b7d30) at IcedTeaPlugin.cc:3289
#11 0x00007fffe2987373 in IcedTeaPluginFactory::ProcessMessage (this=0x48b7d30) at IcedTeaPlugin.cc:3247
#12 0x00007fffe299410a in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (this=0x17ffffffd0) at IcedTeaPlugin.cc:1398
#13 0x0000003ab5c3acb6 in nsThread::ProcessNextEvent (this=0x48b8720, mayWait=1, result=0x7fffe297008c) at nsThread.cpp:510
#14 0x0000003ab5c0cada in NS_ProcessNextEvent_P (thread=0x48b9a08, mayWait=1) at nsThreadUtils.cpp:227
#15 0x0000003ab5c3b487 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#16 0x00000038a2829a23 in _pt_root (arg=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#17 0x00007ffff7dd43da in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x00007ffff76b627d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Comment 27 Nicolas Mailhot 2008-11-13 17:00:10 EST
After many more tests it seems the stack is not relevant — I get it both when firefow works and when it crashes

However I've found out that disabling the "organise status bar" firefox extensions reliably made things work.

Thus I suppose the openjdk plugin does something "organise status bar" really does not like (I've been running this extension for months on rawhide without any problem before I tried those pages with openjdk)
Comment 28 Mark Wielaard 2008-11-14 06:35:15 EST
Thanks for debugging this.

Should this be reassigned to firefox? What package provides this "organise status bar" extension?
Comment 29 Nicolas Mailhot 2008-11-14 06:47:45 EST
The extension is there
https://addons.mozilla.org/fr/firefox/addon/1759

I don't think we package extensions yet

Anyway the extension works both under windows with sun jdk and linux without openjdk, so I'd tend to think the problem is openjdk-side
Comment 30 Bug Zapper 2008-11-25 21:06:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 Deepak Bhole 2008-12-10 17:02:15 EST
Nice catch Mark! I am able to reproduce this now as well. I am not sure that the bug is in the plugin though. From what I can trace, the plugin calls nsPluginInstancePeerImpl::ShowStatus() to set the status message, and then it crashes somewhere inside mozilla code. Sun plugin may be using some other way to set the status, but the method we use is a documented api and it shouldn't be crashing like this.

I will look into this a bit deeper later, but this looks a lot like a problem in mozilla/the osb extension.

Also, the crash on my end is reproducible on any applet page, not just the font surveys.
Comment 32 Bug Zapper 2009-11-18 07:25:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 33 Bug Zapper 2009-12-18 01:04:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.